Updates the job work instruction list with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
job_work_instruction_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| work_instruction_details_id |
work instruction details id |
globally unique identifier | |
| work_instruction_details_reference_back_office |
Embedded code "work instruction details" when adding/updating |
string | |
| work_instruction_details |
Embedded entity "work instruction details" when adding/updating |
work_instruction_details | |
| user_id |
Filled by the person that completed that item on the checklist |
globally unique identifier | |
| work_instruction_action_type |
Value from work_instruction_action_type.name |
string | |
| work_instruction_id |
work instruction id |
globally unique identifier |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction_reference_back_office |
Embedded code "work instruction" when adding/updating |
string |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction |
Embedded entity "work instruction" when adding/updating |
work_instruction |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| name |
The "on what" |
string |
Required Max length: 4000 |
| status |
Status can be Ok,NotOk,Replaced,NotApplicable |
string |
Max length: 50 |
| date_done |
Datetime filled when status goes to one valable status. |
date | |
| remark |
Additional remark from the technician. |
string |
Max length: 255 |
| advise |
Additional advice from the technician. |
string |
Max length: 255 |
| sequence |
To order it. |
integer | |
| reference_back_office |
The Id/Ref of the back office for this job work instruction. Used by Embedded entity |
string |
Max length: 255 |
| group_name |
Name of the group |
string |
Max length: 4000 |
| group_sequence |
Order of the group |
integer | |
| type |
One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default |
string | |
| instruction_document_count |
Specify how many documents/photos must be added if type is Picture |
integer | |
| db_report_type_id |
When type is Form, you must specify which db_report_type must be filled |
globally unique identifier | |
| db_report_type_name |
When type is Form, you must specify which db_report_type must be filled |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "6692c65e-433c-478d-a2ef-8db847e2dfaf",
"jobs_id": "582235d0-d753-4afb-8519-8b9eaba0d72f",
"jobs_reference_back_office": "sample string 3",
"jobs": {
"id": "c67fad92-338d-4488-8757-a77213de48fe",
"_parent_id": "aa512033-517c-4ccc-997d-1bc8bb3e0baa",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "ea7a94f7-d45e-4d47-8f77-f78870082445",
"project_reference_back_office": "sample string 5",
"project": {
"id": "73725402-ddcb-4241-bdc2-03107ced6013",
"_parent_id": "2141fb07-8bff-4b27-a7b9-70b5ec77754e",
"root_parent_id": "09749116-99d8-49ae-abbe-4cb81faf624e",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "bf8837c1-456c-4f9a-aa08-825413dad2f4",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "c9fe09e9-4635-43d4-acca-88282a3d6a28",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "44e3355d-593d-4d4a-baef-d0fe58bd7680",
"_parent_code": "sample string 6",
"sales_organization_id": "0266fcf3-da0a-4d1b-a6ef-d6ae964fb653",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "cfd16758-abfe-4e0f-9671-91e69fc2dee9",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b8da286d-6bf8-482f-bd10-e2619bfd79dd",
"db_currency_id": "1133c088-6add-4359-822b-a4603a49d5e4",
"db_language_id": "8389a156-3ca0-4421-a6e2-772ce272fcd8",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-11T13:24:13.5850321+00:00"
},
"modified_dateutc": "2026-11-11T13:24:13.5850321+00:00"
},
"equipment_model_id": "a4c606cb-aa3d-40dc-b44f-dd09996b15f1",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "d5b6e242-5a17-4da3-af94-effb89b75179",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "18a820f0-2e88-48bf-9a02-2f9ce5f9e22b",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "bf9416d4-d889-4a14-89d1-b8e92458a86d",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "c3d8b3fe-7540-456e-a3bb-b3398ab8ada2",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "cfd16758-abfe-4e0f-9671-91e69fc2dee9",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b8da286d-6bf8-482f-bd10-e2619bfd79dd",
"db_currency_id": "1133c088-6add-4359-822b-a4603a49d5e4",
"db_language_id": "8389a156-3ca0-4421-a6e2-772ce272fcd8",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-11T13:24:13.5850321+00:00"
},
"modified_dateutc": "2026-11-11T13:24:13.5850321+00:00"
},
"equipment_family_id": "f60cf47c-6b7a-404b-839c-e4e15e89450a",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "c9fe09e9-4635-43d4-acca-88282a3d6a28",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "44e3355d-593d-4d4a-baef-d0fe58bd7680",
"_parent_code": "sample string 6",
"sales_organization_id": "0266fcf3-da0a-4d1b-a6ef-d6ae964fb653",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "cfd16758-abfe-4e0f-9671-91e69fc2dee9",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b8da286d-6bf8-482f-bd10-e2619bfd79dd",
"db_currency_id": "1133c088-6add-4359-822b-a4603a49d5e4",
"db_language_id": "8389a156-3ca0-4421-a6e2-772ce272fcd8",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-11T13:24:13.5850321+00:00"
},
"modified_dateutc": "2026-11-11T13:24:13.5850321+00:00"
},
"date_in_production_since": "2026-11-11T13:24:13.5850321+00:00",
"date_out_of_production_since": "2026-11-11T13:24:13.5850321+00:00",
"date_end_support": "2026-11-11T13:24:13.5850321+00:00",
"sales_organization_id": "5867792d-956a-4eaf-977e-d430a07f0a18",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "cfd16758-abfe-4e0f-9671-91e69fc2dee9",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b8da286d-6bf8-482f-bd10-e2619bfd79dd",
"db_currency_id": "1133c088-6add-4359-822b-a4603a49d5e4",
"db_language_id": "8389a156-3ca0-4421-a6e2-772ce272fcd8",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-11T13:24:13.5850321+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-11T13:24:13.5850321+00:00"
},
"project_status_id": "ecf65cee-adc9-40c1-8f8e-65a5ef25fd84",
"project_status_code": "sample string 10",
"project_status": {
"id": "0ef410e7-af48-493e-b223-848351d4e288",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "6d3d8a86-ded5-49f0-b4ac-a97e5833e1f8",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "cfd16758-abfe-4e0f-9671-91e69fc2dee9",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b8da286d-6bf8-482f-bd10-e2619bfd79dd",
"db_currency_id": "1133c088-6add-4359-822b-a4603a49d5e4",
"db_language_id": "8389a156-3ca0-4421-a6e2-772ce272fcd8",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-11T13:24:13.5850321+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-11T13:24:13.5850321+00:00"
},
"company_id": "a52fb4c0-3df2-46e3-b69f-d904081665bc",
"company_code": "sample string 12",
"db_address_id": "d5b070c6-28ae-49c5-a017-9e410919446a",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "6d378a6b-8e54-41de-8dab-4b4d96acdde4",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "5c0bf9f5-c519-4dca-9c04-31394689cbd2",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-11T13:24:13.5850321+00:00",
"date_create": "2026-11-11T13:24:13.5850321+00:00",
"date_update": "2026-11-11T13:24:13.5850321+00:00",
"updated_by_user_id": "9143848a-36e1-4649-87a1-9dff2e78e0c2",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-11T13:24:13.5850321+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-11T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-11T13:24:13.5850321+00:00",
"date_last_job": "2026-11-11T13:24:13.5850321+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-11T13:24:13.5850321+00:00",
"modified_dateutc": "2026-11-11T13:24:13.5850321+00:00",
"is_mobile_installation": true
},
"job_type_id": "d3f9bd6c-7b7e-40f0-89dc-464445aa0449",
"job_type_code": "sample string 7",
"job_type": {
"id": "89659fe6-2ed0-4bb8-9b86-c583d5972202",
"name": "sample string 2",
"sales_organization_id": "ef59c842-8930-4767-884f-db0b50c4182e",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-11T13:24:13.5850321+00:00",
"code": "sample string 7"
},
"job_priority_id": "f205fb16-8300-4e8e-9f8a-0184d32421f4",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "03e14abb-1835-4b37-9546-6127bb856a92",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "3711ab1a-3fdc-47f6-a139-b70c38cadf77",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "cfd16758-abfe-4e0f-9671-91e69fc2dee9",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b8da286d-6bf8-482f-bd10-e2619bfd79dd",
"db_currency_id": "1133c088-6add-4359-822b-a4603a49d5e4",
"db_language_id": "8389a156-3ca0-4421-a6e2-772ce272fcd8",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-11T13:24:13.5850321+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-11T13:24:13.5850321+00:00"
},
"job_status_id": "01204d19-b1da-4768-9ae4-92cb6623699c",
"job_status_code": "sample string 11",
"db_address_id": "5eb471ad-a5a2-4e41-8cdf-7bbaa4bbad12",
"contact_id": "9236b357-b0ca-4a56-b316-86b33b244b7b",
"requested_by_company_id": "07e52ae3-89f7-49d7-bc57-e678947e6ddb",
"requested_by_contact_id": "e362a12b-dde3-407c-8f4e-c5fc30860320",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-11T13:24:13.5850321+00:00",
"due_date": "2026-11-11T13:24:13.5850321+00:00",
"date_create": "2026-11-11T13:24:13.5850321+00:00",
"date_update": "2026-11-11T13:24:13.5850321+00:00",
"date_closed": "2026-11-11T13:24:13.5850321+00:00",
"suggested_user_id": "e66fe88d-cc59-4e61-b0d6-e287938469a6",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "ba170386-83fc-40fa-98f0-70c8802b2bff",
"db_language_id": "9470fabd-e3c7-4a67-8d13-7a91b552f5b1",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-11T13:24:13.5850321+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "634e5a4d-4e67-43c7-9533-93c1ae8f3f6b",
"sales_organization": {
"id": "cfd16758-abfe-4e0f-9671-91e69fc2dee9",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b8da286d-6bf8-482f-bd10-e2619bfd79dd",
"db_currency_id": "1133c088-6add-4359-822b-a4603a49d5e4",
"db_language_id": "8389a156-3ca0-4421-a6e2-772ce272fcd8",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-11T13:24:13.5850321+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "31624edd-296d-4d4e-a6e1-9df11fff9a09",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "03a6b89c-ff42-4106-96d4-b6c5ff5cf4ec",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-11T13:24:13.5850321+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "e7f2f939-e074-4e90-a48e-9e0ce1c03f1b"
},
"suggested_date_start": "2026-11-11T13:24:13.5850321+00:00",
"skill_id": "c3a26e94-6593-4ca9-9869-d9acd3f5aa6b",
"skill_code": "sample string 32",
"skill": {
"id": "175805e2-c476-4c6d-be9d-350eb6526897",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "0ac45080-34cd-4128-9d93-500a5d64c154",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "cfd16758-abfe-4e0f-9671-91e69fc2dee9",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "b8da286d-6bf8-482f-bd10-e2619bfd79dd",
"db_currency_id": "1133c088-6add-4359-822b-a4603a49d5e4",
"db_language_id": "8389a156-3ca0-4421-a6e2-772ce272fcd8",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-11T13:24:13.5850321+00:00"
},
"modified_dateutc": "2026-11-11T13:24:13.5850321+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "3682c47d-c5f3-4d4d-b103-b5855d63cdc5",
"date_reported_by_company": "2026-11-11T13:24:13.5850321+00:00",
"id2": 36,
"company_id": "447e8826-3af8-4e5a-921b-47f9d5a43655",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "edfd1408-3647-4d7d-8cd5-a30888465da7",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-11T13:24:13.5850321+00:00"
},
"work_instruction_details_id": "c3009c3d-39ac-47d6-bb49-0638283cdea4",
"work_instruction_details_reference_back_office": "sample string 5",
"user_id": "98433b79-0908-48b0-9b76-0a07a8b51b95",
"work_instruction_action_type": "sample string 7",
"work_instruction_id": "4a4f7d9a-e202-42d2-b8c7-05f17d1d5e22",
"work_instruction_reference_back_office": "sample string 9",
"name": "sample string 10",
"status": "sample string 11",
"date_done": "2026-11-11T13:24:13.5850321+00:00",
"remark": "sample string 13",
"advise": "sample string 14",
"sequence": 1,
"reference_back_office": "sample string 15",
"group_name": "sample string 16",
"group_sequence": 1,
"type": "sample string 17",
"instruction_document_count": 1,
"db_report_type_id": "2cf1bd7e-019c-473f-9f03-8aecd3da4367",
"db_report_type_name": "sample string 18",
"modified_dateutc": "2026-11-11T13:24:13.5850321+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.